Ubuntu

linux: 3.2.0-59.90 -proposed tracker

Reported by Brad Figg on 2014-01-06
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Sylvain Pineau
Prepare-package
Medium
Canonical Kernel Team
Prepare-package-lbm
Medium
Canonical Kernel Team
Prepare-package-meta
Medium
Canonical Kernel Team
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Parameswaran Sivatharman
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the 3.2.0-59.90 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 06. January 2014 19:37 UTC
kernel-stable-Prepare-package-end:Thursday, 09. January 2014 13:51 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 09. January 2014 13:51 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 06. February 2014 04:24 UTC
kernel-stable-Verification-testing-start:Thursday, 06. February 2014 06:01 UTC
kernel-stable-Certification-testing-start:Thursday, 06. February 2014 06:01 UTC
kernel-stable-Security-signoff-start:Thursday, 06. February 2014 06:01 UTC
kernel-stable-Regression-testing-start:Thursday, 06. February 2014 06:01 UTC
kernel-stable-Verification-testing-end:Tuesday, 11. February 2014 15:00 UTC
kernel-stable-Regression-testing-end:Wednesday, 12. February 2014 11:01 UTC
kernel-stable-Security-signoff-end:Wednesday, 12. February 2014 20:01 UTC
kernel-stable-Certification-testing-end:Friday, 14. February 2014 22:01 UTC
kernel-stable-Promote-to-updates-start:Sunday, 16. February 2014 15:59 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 18. February 2014 14:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 18. February 2014 15:03 UTC

Brad Figg (brad-figg) on 2014-01-06
tags: added: kernel-release-tracking-bug
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Precise):
importance: Undecided → Medium
Brad Figg (brad-figg) on 2014-01-08
summary: - linux: 3.2.0-59.89 -proposed tracker
+ linux: 3.2.0-59.90 -proposed tracker
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1267469
linux-armadaxp - bug 1267470
linux-lowlatency - bug 1267471

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2014-02-06
description: updated
Brad Figg (brad-figg) on 2014-02-06
description: updated
Sylvain Pineau (sylvain-pineau) wrote :

Hardware Certification have begun testing this -proposed kernel.

Brad Figg (brad-figg) on 2014-02-11
description: updated
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-02-12
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2014-02-12
description: updated
Sylvain Pineau (sylvain-pineau) wrote :

Hardware Certification have completed testing this -proposed kernel. No regressions were observed and results are available here: http://people.canonical.com/~hwcert/sru-testing/precise/3.2.0-59.90/precise-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2014-02-14
description: updated
Brad Figg (brad-figg) on 2014-02-16
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (14.4 KiB)

This bug was fixed in the package linux - 3.2.0-59.90

---------------
linux (3.2.0-59.90) precise; urgency=low

  [ Brad Figg ]

  * UBUNTU: Disable modules checking for armel and armhf for this upload; the staging/tidspbridge has been disabled

linux (3.2.0-59.89) precise; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1266551

  [ Andy Whitcroft ]

  * [Debian] Improve tools version message
    - LP: #1257715

  [ Sergey Popovich ]

  * SAUCE: netfilter: xt_hashlimit: fix proc entry leak in netns destroy
    path
    - LP: #1256988

  [ Tim Gardner ]

  * [Config] Enable CONFIG_VT6656
    - LP: #162671

  [ Upstream Kernel Changes ]

  * netfilter: xt_recent: fix namespace destroy path
    - LP: #1256988
  * netfilter: xt_hashlimit: fix namespace destroy path
    - LP: #1256988
  * selinux: correct locking in selinux_netlbl_socket_connect)
    - LP: #1266546
  * NFSv4: Fix a use-after-free situation in _nfs4_proc_getlk()
    - LP: #1266546
  * USB: mos7840: fix tiocmget error handling
    - LP: #1266546
  * usb: Disable USB 2.0 Link PM before device reset.
    - LP: #1266546
  * usb: hub: Clear Port Reset Change during init/resume
    - LP: #1266546
  * rt2400pci: fix RSSI read
    - LP: #1266546
  * rt2x00: check if device is still available on rt2x00mac_flush()
    - LP: #1266546
  * alarmtimer: return EINVAL instead of ENOTSUPP if rtcdev doesn't exist
    - LP: #1266546
  * USB:add new zte 3g-dongle's pid to option.c
    - LP: #1266546
  * libata: Fix display of sata speed
    - LP: #1266546
  * ahci: disabled FBS prior to issuing software reset
    - LP: #1266546
  * drivers/libata: Set max sector to 65535 for Slimtype DVD A DS8A9SH
    drive
    - LP: #1266546
  * ALSA: 6fire: Fix probe of multiple cards
    - LP: #1266546
  * ARM: sa11x0/assabet: ensure CS2 is configured appropriately
    - LP: #1266546
  * usb: wusbcore: set the RPIPE wMaxPacketSize value correctly
    - LP: #1266546
  * usb: wusbcore: change WA_SEGS_MAX to a legal value
    - LP: #1266546
  * powerpc/vio: Fix modalias_show return values
    - LP: #1266546
  * powerpc/vio: use strcpy in modalias_show
    - LP: #1266546
  * dm: allocate buffer for messages with small number of arguments using
    GFP_NOIO
    - LP: #1266546
  * can: c_can: Fix RX message handling, handle lost message before EOB
    - LP: #1266546
  * dm mpath: fix race condition between multipath_dtr and pg_init_done
    - LP: #1266546
  * ext4: avoid bh leak in retry path of ext4_expand_extra_isize_ea()
    - LP: #1266546
  * ASoC: ak4642: prevent un-necessary changes to SG_SL1
    - LP: #1266546
  * ahci: Add Device IDs for Intel Wildcat Point-LP
    - LP: #1266546
  * KVM: IOMMU: hva align mapping page size
    - LP: #1266546
  * crypto: s390 - Fix aes-cbc IV corruption
    - LP: #1266546
  * audit: printk USER_AVC messages when audit isn't enabled
    - LP: #1266546
  * audit: fix info leak in AUDIT_GET requests
    - LP: #1266546
  * audit: use nlmsg_len() to get message payload length
    - LP: #1266546
  * drm/ttm: Fix memory type compatibility check
    - LP: #1266546
  * PM / hibernate: Avoid overflow in hibernate_preallocate_memory()
    - LP: #1266546
  * ALSA: hda - Add...

Changed in linux (Ubuntu Precise):
status: New → Fix Released
Brad Figg (brad-figg) on 2014-02-18
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers